import React,{useState,useEffect} from 'react';
import ReactDOM from 'react-dom';
import { json,scaleLinear,max,scaleBand } from 'd3';
const width = 960;
const height = 500;
const App = () => {
  const [data,setData] = useState(null);
  
  useEffect(()=>{
  	json("timeperiod.json").then(d =>{
  	setData(d.response.docs);
  });
  },[]);

  
  if (!data) {
    return <pre>Loading...</pre>;
  }

  console.log(data); 
  
  const xScale = scaleBand()
    .domain(data.map((d) => d.timeperiod))
    .range([0, width])
  	.padding(.1);

  const yScale = scaleLinear()
    .domain([0, max(data, (d) => d.data_value)])
    .range([0, height]);
  
  
  
  
  return (
    <svg width={width} height={height}>
      {data.map((d) => (
        <rect
          fill="rgba(200,255,220,.9)"
          key={d.timeperiod}
          y={height - yScale(d.data_value)}
          x={xScale(d.timeperiod)}
          height={yScale(d.data_value)}
          width={xScale.bandwidth()}
        />
      ))}
    </svg>
    );
};

ReactDOM.render(<App />, document.getElementById('root'));
